<?php
$get_gs_user_available = get_post_meta(1, 'geniewords_gs_user_available');
$get_user_id = get_post_meta(1, 'geniewords_userid');
$get_refresh_token_id = get_post_meta(1, 'geniewords_refresh_token');
$get_merchantId = get_post_meta(1, 'geniewords_merchantid');
$get_success_message = get_transient('success_results');
$get_error_message = get_transient('error_results');
$error_woocommerce_results = get_transient('error_woocommerce_results');
$get_geniewords_variant_status = get_post_meta(1, 'geniewords_variant_status');

$get_geniewords_description_type = get_post_meta(1, 'get_geniewords_description_type');
$get_add_analytics_in_head = get_post_meta(1, 'add_analytics_in_head');
$get_add_analytics_in_head[0] = !empty($get_add_analytics_in_head) && $get_add_analytics_in_head[0] !== '' ? $get_add_analytics_in_head[0] : 'NONE';
$get_analytics_custom_value = get_post_meta(1, 'analytics_custom_value');
$geniewords_google_shopping_post_meta = get_post_meta(1, 'geniewords_google_shopping_meta_tag');

$default_country_name = "da_DK";
$country_name = get_post_meta(1, 'geniewords_country_name');
$get_geniewords_country_name[0] = !empty($country_name[0]) ? $country_name[0] : $default_country_name;

$default_tab = null;
$tab = isset($_GET['tab']) ? $_GET['tab'] : $default_tab;
if (in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins')))) {

    if (!empty($get_user_id[0]) && !empty($get_refresh_token_id[0]) && !empty($get_merchantId[0]) && $get_gs_user_available[0] == 1) {
        ?>
        <div class="wrap">
            <h2><?php echo __('GenieWords Google Shopping', 'geniewords'); ?></h2>
            <div>
                <h4><?php echo __('Domain verification in Google Shopping', 'geniewords'); ?></h4>
<!--                <a style="display: block; margin-bottom: 8px;" href="http://support.geniewords.com/da/articles/4838394-verificer-dit-domaene-pa-facebook" target="_blank">--><?php //echo __('See how you verify your domain on Google Shopping', 'geniewords'); ?><!--</a>-->
                <input type="text"
                       class="form-control"
                       id="googleShoppingMetaTagInput"
                       placeholder="<?php echo __('Insert your whole meta tag to verify your domain', 'geniewords'); ?>" style="width: 100%; max-width: 1000px;">
            </div>
            <table class="form-table">
                <tbody>
                    <tr valign="top">
                        <td>
                            <h4><?php echo __('Enable product variants', 'geniewords'); ?></h4>
                            <div class="custom-control custom-switch">
                                <input type="checkbox" class="custom-control-input" id="customSwitches" <?php if($get_geniewords_variant_status[0] == 1){ echo "checked"; } ?>>
                                <label class="custom-control-label"
                                       for="customSwitches"><?php echo __('Enable product variants', 'geniewords'); ?></label>
                            </div>
                        </td>
                    </tr>
                </tbody>
            </table>
            <table class="form-table">
                <tbody>
                <tr valign="top">
                    <td>
                        <h4><?php echo __('Choose to show short description or long description in your Google Shopping campaign', 'geniewords'); ?></h4>
                        <div class="custom-control custom-switch">
                            <input type="radio" name="syncro-description" class="custom-control-input"
                                <?php if($get_geniewords_description_type[0] == 1){ echo "checked"; } ?> id="syncro-short-description" value="1">
                            <label for="syncro-short-description" class="custom-control-label"><?php echo __('Short description', 'geniewords'); ?></label>
                        </div>
                        </br>
                        <div class="custom-control custom-switch">
                            <input type="radio" name="syncro-description" class="custom-control-input"
                                   id="syncro-long-description" value="2" <?php if($get_geniewords_description_type[0] == 2){ echo "checked"; } ?>>
                            <label for="syncro-long-description" class="custom-control-label"><?php echo __('Long description', 'geniewords'); ?></label>
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
            <table class="form-table">
                <tbody>
                    <tr valign="top">
                        <h4 style="margin-left: 12px; margin-bottom: 8px;"><?php echo __("Country", 'geniewords'); ?></h4>
                        <select style="margin-left: 12px;" name="country_name" id="country_name">
                            <option value="en_US" <?php if($get_geniewords_country_name[0] == 'en_US'){ echo 'selected="selected"';} ?>>USA</option>
                            <option value="da_DK" <?php if($get_geniewords_country_name[0] == 'da_DK'){ echo 'selected="selected"';} ?>>Denmark</option>
                        </select>
                    </tr>
                </tbody>
            </table>
            <table class="form-table">
                <tbody>

                <tr valign="top">
                    <td>
                        <!--<a href="javascript:void(0);"
                           class="button button-primary manual-sync"><?php /*esc_attr_e('Synchronise', 'geniewords'); */?></a>-->
                        <button type="button" name="sync-btn" class="button button-primary" onclick="manualSync()"><?php esc_attr_e('Save changes', 'geniewords'); ?></button>

                        <!--<a href="app.geniewords.com/assignments" class="button button-primary continue-task" style="display: none;"><?php /*esc_attr_e('Continue Task', 'geniewords'); */
                        ?></a>-->

                        <span id="g-shopping-message"
                              style="color: green;display: none;"><?php echo __("Your products are now synchronised to your Merchant center.", 'geniewords'); ?></span>
                        <span class="spinner" id="spinner-google-product" style="position: absolute;"></span>
                    </td>
                </tr>
                </tbody>
            </table>
        </div>
    <?php
    } else if (empty($get_user_id[0])) { ?>
        <div class="wrap" style="border-top: 1px solid rgba(0,0,0,0.5);padding-top: 40px;">
            <?php echo "<h2>" . __('GenieWords Google Shopping', 'geniewords') . "</h2>"; ?>
            <h3>
                <span style="color: red;">Error:</span> <?php echo __('You need to sign in with your GenieWords account to activate the plugin', 'geniewords'); ?>
            </h3>
        </div>
    <?php } else { ?>
        <div class="wrap">
            <div class="wrap nosubsub">
                <div class="icon32" id="icon-edit"><br></div>
                <h2><?php echo __('You dont have to permission to access this page.', 'geniewords'); ?></h2>
            </div>
        </div>
    <?php
    }
}
else { ?>
    <div class="wrap" style="border-top: 1px solid rgba(0,0,0,0.5);padding-top: 40px;">
        <?php echo "<h2>" . __('GenieWords Google Shopping', 'geniewords') . "</h2>"; ?>
        <h3>
            <span style="color: red;">Error:</span> <?php echo __('You need to install & activate the Woocommerce plugin', 'geniewords'); ?>
        </h3>
    </div>
<?php
}

?>