<?php
$get_user_id = get_post_meta(1, 'geniewords_userid');
$get_geniewords_user_company = get_post_meta(1, 'geniewords_user_company');
$get_success_message = get_transient('success_results');
$get_error_message = get_transient('error_results');
$error_woocommerce_results = get_transient('error_woocommerce_results');

if (isset($get_user_id[0]) && !empty($get_user_id[0])) { ?>
    <div class="wrap">
        <div class="wrap nosubsub">
            <div class="icon32" id="icon-edit"><br></div>
            <h2><?php echo __('Welcome To GenieWords', 'geniewords'); ?></h2>
        </div>
        <?php
        if (!empty($error_woocommerce_results)) { ?>

            <div class="wrap nosubsub">
                <h4 style="color: red"><?php echo __($error_woocommerce_results, 'geniewords'); ?></h4>
            </div>

            <?php delete_transient('error_woocommerce_results');

        }
        if ($get_success_message) {
            ?>
            <div class="wrap nosubsub">
                <h4 style="color: green"><?php echo __($get_success_message, 'geniewords'); ?></h4>
            </div>

            <?php delete_transient('success_results');

        }
        if ($get_error_message) {
            ?>
            <div class="wrap nosubsub">
                <h4 style="color: red"><?php echo __($get_error_message, 'geniewords'); ?></h4>
            </div>

            <?php delete_transient('error_results');
        } ?>
        <div class="wrap nosubsub" style="display: block;float: left;width: 100%;">
            <div style="float: left;display: block;padding-right: 5%;">
                <h3><?php echo __('You are signed in as', 'geniewords'); ?>
                    : <?php echo __($get_geniewords_user_company[0], 'geniewords'); ?></h3>
            </div>
        </div>
        <?php delete_transient('success_results'); ?>
    </div>
    <?php
} else { ?>
    <div class="wrap nosubsub">
        <div class="icon32" id="icon-edit"><br></div>
        <h2><?php echo __('Welcome To GenieWords', 'geniewords'); ?></h2>
        <?php if (!empty($get_error_message)) { ?>
            <h4 style="color: red"><?php echo __($get_error_message, 'geniewords'); ?></h4>
            <?php
            delete_transient('error_results');
        } ?>
        <form method="post" action="<?php echo esc_url($_SERVER['REQUEST_URI']); ?>">
            <table class="form-table">
                <tbody>
                <tr valign="top">
                    <th scope="row" colspan="2">
                        <b><?php echo __('Please enter your e-mail and password to your GenieWords account', 'geniewords'); ?></b>
                    </th>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php echo __('E-mail address', 'geniewords'); ?></th>
                    <td><input name="email-geniewords" class="regular-text" type="email" value=""/></td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php echo __('Password', 'geniewords'); ?></th>
                    <td><input name="password-geniewords" class="regular-text" type="password"
                               value=""/></td>
                </tr>
                <tr valign="top">
                    <th scope="row"></th>
                    <td><input name="genieSubmit" type="submit" class="button button-primary"
                               value="<?php esc_attr_e('Sign in to Geniewords', 'geniewords'); ?>"/>
                    </td>
                </tr>
                </tbody>
                <!-- more options here -->
            </table>
        </form>
    </div>

<?php } ?>
<?php if (!empty($get_user_id[0])) {
    include(plugin_dir_path(__FILE__) . 'logoutbtn.php');
} ?>