<?php
$get_user_id = get_post_meta(1, 'geniewords_userid');
$get_geniewords_user_company = get_post_meta(1, 'geniewords_user_company');
$get_success_message = get_transient('success_results');
$error_woocommerce_results = get_transient('error_woocommerce_results');
$get_fb_user_available = get_post_meta(1, 'geniewords_fb_user_available');
$geniewords_user_fb_pixel_detect = get_post_meta(1, 'geniewords_user_fb_pixel_detect');
$get_geniewords_fb_variant_status = get_post_meta(1, 'geniewords_fb_variant_status');
$get_add_facebook_pixel_in_head = get_post_meta(1, 'add_facebook_pixel_in_head');
$get_add_facebook_pixel_in_head[0] = !empty($get_add_facebook_pixel_in_head) && $get_add_facebook_pixel_in_head[0] !== '' ? $get_add_facebook_pixel_in_head[0] : 'NONE';

$get_facebook_pixel_custom_value = get_post_meta(1, 'pixel_custom_value');

$default_country_name = "da_DK";
$country_name = get_post_meta(1, 'geniewords_country_name');
$get_geniewords_country_name[0] = !empty($country_name) ? $country_name : $default_country_name;

$default_tab = null;
$tab = isset($_GET['tab']) ? $_GET['tab'] : $default_tab;

if (in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins')))) {
    if (count($get_fb_user_available) > 0 && $get_fb_user_available[0] == 1 && !empty($get_user_id[0])) { ?>
        <div class="wrap">
            <?php
            if (!empty($error_woocommerce_results)) { ?>
                <div class="wrap nosubsub">
                    <div class="icon32" id="icon-edit"><br></div>
                    <h2><?php echo __('Welcome To GenieWords', 'geniewords'); ?></h2>
                    <h4><?php echo __($error_woocommerce_results, 'geniewords'); ?></h4>
                </div>
                <?php delete_transient('error_woocommerce_results');
            } ?>
            <div class="wrap">
                <?php echo "<h2>" . __('GenieWords Facebook', 'geniewords') . "</h2>"; ?>
                <div>
                    <h4><?php echo __('Domain verification in Facebook', 'geniewords'); ?></h4>
                    <a style="display: block; margin-bottom: 8px;" href="http://support.geniewords.com/da/articles/4838394-verificer-dit-domaene-pa-facebook" target="_blank"><?php echo __('See how you verify your domain on Facebook', 'geniewords'); ?></a>
                    <input type="text" class="form-control" id="facebookMetaTagInput"
                           placeholder="<?php echo __('Insert your whole meta tag to verify your domain', 'geniewords'); ?>" style="width: 100%; max-width: 1000px;">
                </div>
                <table class="form-table">
                    <tbody>
                    <tr valign="top">
                        <td>
                            <h4><?php echo __('Enable product variants', 'geniewords'); ?></h4>
                            <div class="custom-control custom-switch">
                                <input type="checkbox" class="custom-control-input" id="customFbSwitches" <?php if($get_geniewords_fb_variant_status[0] == 1){ echo "checked"; } ?>>
                                <label class="custom-control-label"
                                       for="customFbSwitches"><?php echo __('Enable product variants', 'geniewords'); ?></label>
                            </div>
                        </td>
                    </tr>
                    </tbody>
                </table>
                <table class="form-table">
                    <tbody>
                    <tr valign="top">
                        <td>
                            <h4><?php echo __('Choose to show short description or long description in your Facebook Retrageting.', 'geniewords'); ?></h4>
                            <div class="custom-control custom-switch">
                                <input type="radio" name="syncro-description" class="custom-control-input"
                                       checked="checked" id="syncro-short-description" value="1">
                                <label class="custom-control-label" for="syncro-short-description"><?php echo __('Short description', 'geniewords'); ?></label>
                            </div>
                            </br>
                            <div class="custom-control custom-switch">
                                <input type="radio" name="syncro-description" class="custom-control-input"
                                       id="syncro-long-description" value="2">
                                <label for="syncro-long-description" class="custom-control-label"><?php echo __('Long description', 'geniewords'); ?></label>
                            </div>
                        </td>
                    </tr>
                    </tbody>
                </table>
                <table class="form-table">
                    <tbody>
                    <tr valign="top">
                        <h4 style="margin-left: 12px; margin-bottom: 8px;"><?php echo __("Country", 'geniewords'); ?></h4>
                        <select style="margin-left: 12px;" name="country_name" id="country_name">
                            <option value="en_US" <?php if ($get_geniewords_country_name[0] == 'en_US') {
                                echo 'selected="selected"';
                            } ?>>USA
                            </option>
                            <option value="da_DK" <?php if ($get_geniewords_country_name[0] == 'da_DK') {
                                echo 'selected="selected"';
                            } ?>>Denmark
                            </option>
                        </select>
                    </tr>
                    </tbody>
                </table>
                <table class="form-table">
                    <tbody>
                    <tr valign="top">
                        <td>
                            <button type="button" name="sync-btn" class="button button-primary"
                                    onclick="manualSyncFacebook()"><?php esc_attr_e('Save changes', 'geniewords'); ?></button>
                            <span id="f-shopping-message"
                                  style="color: green;display: none;"><?php echo __("Your products are now synchronised to your Merchant center.", 'geniewords'); ?></span>
                            <span class="spinner" id="spinner-fb-product" style="position: absolute;"></span>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>
            <?php
            delete_transient('success_results');
            ?>
        </div>
        <?php
    } else { ?>
        <div class="wrap" style="border-top: 1px solid rgba(0,0,0,0.5);padding-top: 40px;">
            <?php echo "<h2>" . __('GenieWords Facebook', 'geniewords') . "</h2>"; ?>
            <h3>
                <span style="color: red;">Error:</span> <?php echo __('You need to sign in with your GenieWords account to activate the plugin', 'geniewords'); ?>
            </h3>
            <?php if (!empty($geniewords_user_fb_pixel_detect[0])) { ?>
                <h3>
                    <span style="color: red;">Error:</span> <?php echo __('We can see you already have a Facebook pixel installed, please uninstall it', 'geniewords'); ?>
                </h3>
            <?php } ?>

        </div>
    <?php }
} else { ?>
    </br></br>
    <div class="wrap" style="border-top: 1px solid rgba(0,0,0,0.5);padding-top: 40px;">
        <?php echo "<h2>" . __('GenieWords Facebook', 'GenieWords') . "</h2>"; ?>
        <h3>
            <span style="color: red;">Error:</span> <?php echo __('You need to install & activate the Woocommerce plugin', 'geniewords'); ?>
        </h3>
    </div>
<?php
}
?>
