<?php
$get_user_id = get_post_meta(1, 'geniewords_userid');
$get_geniewords_user_company = get_post_meta(1, 'geniewords_user_company');
$get_success_message = get_transient('success_results');
$error_woocommerce_results = get_transient('error_woocommerce_results');
$get_fb_user_available = get_post_meta(1, 'geniewords_fb_user_available');
$geniewords_user_fb_pixel_detect = get_post_meta(1, 'geniewords_user_fb_pixel_detect');
$get_geniewords_fb_variant_status = get_post_meta(1, 'geniewords_fb_variant_status');
$get_add_facebook_pixel_in_head = get_post_meta(1, 'add_facebook_pixel_in_head');
$get_add_facebook_pixel_in_head[0] = !empty($get_add_facebook_pixel_in_head) && $get_add_facebook_pixel_in_head[0] !== '' ? $get_add_facebook_pixel_in_head[0] : 'NONE';

$get_facebook_pixel_custom_value = get_post_meta(1, 'pixel_custom_value');

$get_user_has_pixel = get_post_meta(1, 'geniewords_user_has_pixel');

$default_country_name = "da_DK";
$country_name = get_post_meta(1, 'geniewords_country_name');
$get_geniewords_country_name[0] = !empty($country_name) ? $country_name : $default_country_name;

$default_tab = null;
$tab = isset($_GET['tab']) ? $_GET['tab'] : $default_tab;

if (!empty($get_user_id[0])) { ?>
        <script type="text/javascript">
            jQuery(document).ready(function () {
                var addPixelType = "<?php echo $get_add_facebook_pixel_in_head[0]; ?>";
                var display = 'none';
                if(addPixelType === 'CUSTOM') {
                    display = 'block';
                }

                const customPixelValueEl = jQuery("#customPixelValue")
                customPixelValueEl.css("display", display);
                customPixelValueEl.val(<?php if(!empty($get_facebook_pixel_custom_value)) { ?> JSON.parse(JSON.stringify(<?php echo json_encode($get_facebook_pixel_custom_value); ?>))[0] <?php } else { echo ''; }?>);

                const btnSaveChanges = jQuery("#btnSaveChanges");
                btnSaveChanges.click(function () {
                    const spinner = jQuery("#spinner");
                    spinner.css('visibility', 'unset');

                    var radioButtonEl = jQuery("input[type=radio][name=addPixel]:checked");
                    var addPixelInHeadType = radioButtonEl.val()

                    jQuery.ajax({
                        type: 'POST',
                        data: {
                            action: 'update_add_facebook_pixel_to_head',
                            name: 'ajax',
                            addFacebookPixelInHead: addPixelInHeadType
                        },
                        url: base_url + "/wp-admin/admin-ajax.php",
                        success: function (value) {
                        }
                    });

                    var customPixelValue = ''
                    if(addPixelInHeadType === 'CUSTOM') {
                        var customPixelEl = jQuery("#customPixelValue")
                        customPixelValue = customPixelEl.val()
                    }

                    jQuery.ajax({
                        type: 'POST',
                        data: {
                            action: 'update_pixel_custom_value',
                            name: 'ajax',
                            customPixelValue: customPixelValue
                        },
                        url: base_url + "/wp-admin/admin-ajax.php",
                        success: function (value) {
                            var successMessageEl = jQuery("#saveChangesSuccessMessage");
                            successMessageEl.css('display', 'block');
                            spinner.css('visibility', 'hidden');

                            setTimeout(function() {
                                successMessageEl.css('display', 'none');
                            }, 3000)
                        }
                    });
                })
            });
        </script>
        <div class="wrap">
            <?php
            if (!empty($error_woocommerce_results)) { ?>
                <div class="wrap nosubsub">
                    <div class="icon32" id="icon-edit"><br></div>
                    <h2><?php echo __('Welcome To GenieWords', 'geniewords'); ?></h2>
                    <h4><?php echo __($error_woocommerce_results, 'geniewords'); ?></h4>
                </div>
                <?php delete_transient('error_woocommerce_results');
            } ?>
            <div class="wrap">
                <table class="form-table">
                    <tbody>
                        <tr valign="top">
                            <td>
                                <h4><?php echo __('Add Facebook pixel to website', 'geniewords'); ?></h4>
                                <div class="custom-control custom-switch">
                                    <input type="radio" name="addPixel" class="custom-control-input"
                                        <?php if($get_add_facebook_pixel_in_head[0] == 'NONE'){ echo "checked"; } ?> id="add-pixel-none" value="NONE">
                                    <label for="add-pixel-none" class="custom-control-label"><?php echo __('No pixel', 'geniewords'); ?></label>
                                </div>
                                <?php
                                    if(!empty($get_add_facebook_pixel_in_head) && $get_user_has_pixel[0] === '1') {
                                        ?><br/><?php
                                    } ?>
                                <div class="custom-control custom-switch" style="display: <?php echo $get_user_has_pixel[0] === '1' ? 'block': 'none' ?>">
                                    <input type="radio" name="addPixel" class="custom-control-input"
                                           id="add-pixel-geniewords" value="GENIEWORDS" <?php if($get_add_facebook_pixel_in_head[0] == 'GENIEWORDS'){ echo "checked"; } ?>>
                                    <label for="add-pixel-geniewords" class="custom-control-label"><?php echo __('Pixel from GenieWords', 'geniewords'); ?></label>
                                </div>
                                </br>
                                <div class="custom-control custom-switch">
                                    <input type="radio" name="addPixel" class="custom-control-input"
                                           id="add-pixel-custom" value="CUSTOM" <?php if($get_add_facebook_pixel_in_head[0] == 'CUSTOM'){ echo "checked"; } ?>>
                                    <label for="add-pixel-custom" class="custom-control-label"><?php echo __('Custom pixel', 'geniewords'); ?></label>
                                </div>
                                <textarea name="customer-pixel" class="custom-control-input"
                                          id="customPixelValue" rows="4"
                                          placeholder="<?php echo __('Insert your custom pixel code to be added into website', 'geniewords'); ?>"
                                          style="width: 100%; max-width: 500px; margin-top: 8px; display: none;">
                            </textarea>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <table class="form-table">
                    <tbody>
                    <tr valign="top">
                        <td style="display: flex; align-items: center;">
                            <button type="button" name="save-btn" id="btnSaveChanges" class="button button-primary" style="position: relative;"><?php esc_attr_e('Save changes', 'geniewords'); ?></button>
                            <span class="spinner" id="spinner"></span>
                            <span id="saveChangesSuccessMessage"
                                  style="color: green; display: none; margin-left: -32px;"><?php echo __("Changes has been saved", 'geniewords'); ?></span>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>
            <?php
            delete_transient('success_results');
            ?>
        </div>
        <?php
    } else { ?>
        <div class="wrap" style="border-top: 1px solid rgba(0,0,0,0.5);padding-top: 40px;">
            <?php echo "<h2>" . __('GenieWords Facebook', 'geniewords') . "</h2>"; ?>
            <h3>
                <span style="color: red;">Error:</span> <?php echo __('You need to sign in with your GenieWords account to activate the plugin', 'geniewords'); ?>
            </h3>
            <?php if (!empty($geniewords_user_fb_pixel_detect[0])) { ?>
                <h3>
                    <span style="color: red;">Error:</span> <?php echo __('We can see you already have a Facebook pixel installed, please uninstall it', 'geniewords'); ?>
                </h3>
            <?php } ?>

        </div>
    <?php }
?>
<script type="text/javascript">
    var base_url = "<?php echo get_bloginfo( 'url' ); ?>";

    jQuery("input[type=radio][name=addPixel]").click(function () {
        var display = 'none';
        if(this.value === 'CUSTOM') {
            display = 'block';
        }

        var customPixelValueEl = jQuery("#customPixelValue")
        customPixelValueEl.css("display", display);
        customPixelValueEl.val('');
    });
</script>
